clang 10.0.0git

Public Attributes | List of all members
CXToken Struct Reference
libclang: C Interface to Clang » Token extraction and manipulation

Describes a single preprocessing token. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXToken:
[legend]

## Public Attributes
unsigned | int_data [4]
void * | ptr_data

## Detailed Description

Describes a single preprocessing token.

Definition at line 4945 of file Index.h.

## Member Data Documentation

## ◆ int_data

unsigned CXToken::int_data[4]

Definition at line 4946 of file Index.h.

## ◆ ptr_data

void* CXToken::ptr_data

Definition at line 4947 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h